MeiroDocs

Customer Entities

Required feature (one of):

Section: Group Customer Entities. Base URL: https://instance_name.meiro.io/api/.

Customer Entities Count [/customers_count]

Get Total Number of Customer Entities [GET]

Required feature (one of):

  • data/dashboard

  • segments/create

  • foreign_segments/view

  • foreign_segments/edit

  • data/insights

  • access to any segment

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "customer_entities_count": 4,
    "customers_before_stitching_count": 5
}

Customers Per Date Count [/customers_per_date{?start_date,end_date}]

Get Number of Customers Per Date [GET]

Required feature: data/dashboard

  • Parameters

    • start_date (datetime, optional) - Start date in format YYYY-MM-DD
    • end_date (datetime, optional) - End date in format YYYY-MM-DD
  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "customers_per_date": [
        {
            "date": "2017-01-01",
            "count": 200
        }
    ],
    "resolution": "day",
    "selection_settings": {
        "start_date": "2017-01-01",
        "end_date": "2017-01-02"
    }
}

Customer Last Update [/customer_last_update]

Get numbers of customers updated in a following hour intervals: [0-12, 12-24, 24-48, 48-96, 96-168] [GET]

Required feature: data/dashboard

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "customer_last_update": {
        "h12": 5,
        "h24": 4,
        "h48": 3,
        "h96": 2,
        "h168": 1,
        "total": 15
    }
}

On this page